GDAL-VSI-DELETE(1)

NAME
gdal-vsi-delete - Delete files located on GDAL Virtual System Interface (VSI)

Added in version 3.11.

SYNOPSIS

            Usage: gdal vsi delete [OPTIONS] <FILENAME>

            Delete files located on GDAL Virtual System Interface (VSI).

            Positional arguments:
              --filename <FILENAME>   File or directory name to delete [required]

            Common Options:
              -h, --help              Display help message and exit
              --json-usage            Display usage as JSON document and exit
              --config <KEY>=<VALUE>  Configuration option [may be repeated]

            Options:
              -r, -R, --recursive     Delete directories recursively

DESCRIPTION

gdal vsi delete delete files and directories located on GDAL Virtual File Systems (compressed, network hosted, etc...): /vsimem, /vsizip, /vsitar, /vsicurl, ....

This is the equivalent of the UNIX rm command, and gdal vsi rm is an alias for gdal vsi delete.

WARNING:
        Be careful. This command cannot be undone. It can also act on the "real" file system.

  Options

    -r, -R, --recursive
        Delete directories recursively.

EXAMPLES

  Example 1: Delete recursively files from /vsis3/bucket/my_dir

            $ gdal vsi delete -r /vsis3/bucket/my_dir

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026